hadoop-yarn-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Vinod Kumar Vavilapalli <vino...@apache.org>
Subject Re: [DISCUSS] YARN-5079 : Native YARN framework layer for services and Apache Slider
Date Wed, 20 Jul 2016 22:35:59 GMT
If you see comments from Gour (of Apache Slider), that seems like the general direction: "All
that would be expected is to migrate the app-packages to the agent-less version. Of course
the Slider community will do the migration for the current app-packages in the Slider codebase.”

Whether this means taking an existing package and run it as is on the newer framework remains
to be seen. One possible solution is to just support today’s Slider framework on newer YARN.
That way if you have an existing app-package, it continues to run on the newer cluster, but
for getting some of the newer functionality, you may have to move to the newer package.

My personal take is that it will take a bit of effort to make all of this happen, but is a
very important goal to support existing users and their applications.

Thanks
+Vinod

> On Jul 19, 2016, at 3:29 PM, Siddharth Seth <sseth@apache.org> wrote:
> 
> In terms of compatibility and Slider fixes - is the intent to allow
> existing slider packages to work without migrating over to the new
> agent-less, etc implementation in Hadoop. e.g. Assuming the slider
> integration work is released in Hadoop 2.xx - would an existing slider
> package which works on Hadoop-2.6 + Slider 0.91.0 continue to work without
> changes?


Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message